### Function Macro

# Clutter ACTOR_SET_FLAGS

deprecated: 1.24 since: 13

#### Declaration [src]

    #define CLUTTER_ACTOR_SET_FLAGS (
      a,
      f
    )

#### Description [src]

Sets the given flags on a `ClutterActor`.

Available since: 13

Deprecated since: 1.24

Changing flags directly is heavily discouraged in newly written code. `ClutterActor` will take care of setting the internal state.

This function is not directly available to language bindings.

#### Parameters

`a`

  Type: `-`

  A `ClutterActor`.

`f`

  Type: `-`

  The `ClutterActorFlags` to set.